Page MenuHomePhabricator

Setup IaC and CD pipeline for Text Processor service
Closed, ResolvedPublic5 Estimated Story Points

Description

When I'm changing the Text Processor I want to be able to quickly deploy it to the dev or production environment, so that I can quickly fix bugs or get a feedback on the new feature I've added.

Acceptance criteria
I can easily deploy text processor to any environment using GitLab CI.

To-Do

  • setup IaC and deploy it to dev environment
  • add CD pipeline to service
  • deploy the service to dev environment and make sure it works

Event Timeline

Protsack.stephan renamed this task from Setup IaC and CD pipeline for text processor service to Setup IaC and CD pipeline for Text Processor service.Aug 25 2022, 1:05 PM
Protsack.stephan triaged this task as Medium priority.
Protsack.stephan updated the task description. (Show Details)
Lena.Milenko changed the task status from Open to In Progress.Sep 6 2022, 3:08 PM
Lena.Milenko changed the task status from In Progress to Open.Oct 3 2022, 12:56 AM